# Class AppCheckService

- Defined in lib/app-check.ts:35

#####
Index

### Constructors

constructor

### Properties

_appCheck
config
enabled
onTokenChanged$

### Methods

getToken
setTokenAutoRefreshEnabled

## Constructors

### constructor

- new AppCheckService(options, nameOrConfig, zone, config, enabled, siteKey, isTokenAutoRefreshEnabled): AppCheckService

- #### Parameters

  - options: FirebaseOptions
  - nameOrConfig: string
  - zone: NgZone
  - config: ConfigService<Record<string, any>>
  - enabled: null | boolean
  - siteKey: null | string
  - isTokenAutoRefreshEnabled: null | boolean

  #### Returns AppCheckService

  - Defined in lib/app-check.ts:40

## Properties

### `Private` `Readonly` _appCheck

_appCheck: null | AppCheck = null

- Defined in lib/app-check.ts:38

### `Private` `Readonly` config

config: ConfigService<Record<string, any>>

- Defined in lib/app-check.ts:48

### `Private` `Readonly` enabled

enabled: null | boolean

- Defined in lib/app-check.ts:51

### `Readonly` onTokenChanged$

onTokenChanged$: Observable<AppCheckTokenResult> = EMPTY

- Defined in lib/app-check.ts:37

## Methods

### getToken

- getToken(forceRefresh?): Promise<string>

- #### Parameters

  - `Optional` forceRefresh: boolean

  #### Returns Promise<string>

  - Defined in lib/app-check.ts:89

### setTokenAutoRefreshEnabled

- setTokenAutoRefreshEnabled(isTokenAutoRefreshEnabled): void

- #### Parameters

  - isTokenAutoRefreshEnabled: boolean

  #### Returns void

  - Defined in lib/app-check.ts:97